// Duel sign decal
textures/mml_headshot/duel
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/duel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Floor sign decal
textures/mml_headshot/floor
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/floor.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Walls sign decal
textures/mml_headshot/walls
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/walls.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Boxes sign decal
textures/mml_headshot/boxes
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/boxes.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Grates sign decal
textures/mml_headshot/grates
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/grates.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Allies sign decal
textures/mml_headshot/allies
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/allies.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Axis sign decal
textures/mml_headshot/axis
{
	polygonOffset
	entitymergable
	nopicmip
	{
		map textures/mml_headshot/axis.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// Ready
textures/mml_headshot/green
{
	{
		map textures/mml_headshot/green.tga
		blendFunc GL_ONE GL_NONE
		rgbGen identity
	}
}

// Not ready
textures/mml_headshot/red
{
	{
		map textures/mml_headshot/red.tga
		blendFunc GL_ONE GL_NONE
		rgbGen identity
	}
}

// Invis blocker
textures/mml_headshot/clip_invis
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.3

	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm sky
}

// Grate texture
textures/mml_headshot/grate
{
	qer_editorimage textures/alpha/fence_c10_light.tga

	surfaceparm metalsteps
	surfaceparm playerclip
	surfaceparm clipmissile
	surfaceparm trans

	nomipmaps
	nopicmip
	cull disable

	{
		map textures/alpha/fence_c10_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}